%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define appname virtinst

Summary: Python modules for starting Xen guest installations
Name: python-%{appname}
Version: 0.300.2
Release: 12%{?dist}
Source0: http://virt-manager.org/download/sources/%{appname}/%{appname}-%{version}.tar.gz

Patch1: %{appname}-%{version}-satellite-distro.patch
Patch2: %{appname}-%{version}-virt-clone-disk.patch
Patch3: %{appname}-%{version}-acpi.patch
Patch4: %{appname}-%{version}-noreboot.patch
Patch5: %{appname}-%{version}-satellite-distro-fix.patch
Patch6: %{appname}-%{version}-force-option.patch
Patch7: %{appname}-%{version}-remove-file-exist-check.patch
Patch8: %{appname}-%{version}-install-f9.patch
Patch9: %{appname}-%{version}-hide-errors.patch
Patch10: %{appname}-%{version}-add-win2008-f9.patch
Patch11: %{appname}-%{version}-exit-val.patch
Patch12: %{appname}-%{version}-catch-lookup-errors.patch
Patch13: %{appname}-%{version}-unicode-help.patch
Patch14: %{appname}-%{version}-sl-install.patch
Patch15: %{appname}-%{version}-numa-cpuset.patch
Patch16: %{appname}-%{version}-fetch-suse-kernels.patch
Patch17: %{appname}-%{version}-f10-treeinfo.patch
Patch18: %{appname}-%{version}-keep-windows-inserted.patch
Patch19: %{appname}-%{version}-wait-option.patch
Patch20: %{appname}-%{version}-build-fix.patch
Patch21: %{appname}-%{version}-hvm-extraargs.patch
Patch22: %{appname}-%{version}-spurious-forwardslash.patch
Patch23: %{appname}-%{version}-ftp-treeinfo-fix.patch

License: GPLv2+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Url: http://virt-manager.org/
Provides: xeninst
Provides: python-xeninst = %{version}
Provides: virtinst
Requires: libvirt-python >= 0.2.1
Requires: urlgrabber
Requires: libxml2-python
Requires: python-urlgrabber
BuildRequires: gettext
BuildRequires: python
Obsoletes: python-xeninst < %{version}

%description
virtinst is a module to help in starting installations of StartCom
Enterprise Linux related distributions inside of virtual machines.  It
supports both paravirt guests (for which only FC and RHEL guests are
currently supported) as well as fully virtualized guests.  It uses
libvirt (http://www.libvirt.org) for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.

%prep
%setup -q -n %{appname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

# bz 446950: Pushing to rhel5.4 since it caused regressions that popped up
# too late to safely fix.
#%patch13 -p1

%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
# Back compat in case people hardcoded old /usr/sbin/virt-install location
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%find_lang %{appname} || echo 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog doc/image.rng doc/example1.xml
%dir %{python_sitelib}/%{appname}
%{python_sitelib}/%{appname}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_sbindir}/virt-install
%{_bindir}/virt-install
%{_bindir}/virt-clone
%{_bindir}/virt-image

%changelog
* Sun Jan 25 2009 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Nov 11 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-12.el5
- Don't add spurious forward slashes in urls (bz 470891)
- Fix FTP treeinfo false positives (bz 470888)
- Revert fix for bz 446950, push to 5.4 (bz 470176)

* Wed Oct 8 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-11.el5
- Allow --extra-args for hvm guests using kernel boot (bz 463951)

* Thu Sep 18 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-10.el5
- Add --wait option to virt-install (bz 306871)
- Fix fetching newer suse kernels (bz 449129)
- Parse treeinfo files for newer fedora trees (bz 460585)
- Keep windows media inserted for second install stage (bz 447791)
- Build fix so we don't fail if imports aren't present.

* Sun Sep 14 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-9.el5
- Add win2008 and f9 as distro options (rhbz #442702)
- Exit with proper error code if we receive wrong cli value (rhbz #444986)
- Remove virt-viewer from Requires, so we don't require X (rhbz #448505)
- Catch errors during domain lookup (rhbz #288391)
- Correctly print help messages with unicode characters (rhbz #446950)
- Allow installing from Scientific Linux trees (rhbz #448634)
- Add --cpuset=auto command for numa allocation (rhbz #438554)

* Tue Apr  1 2008 Daniel P. Berrange <berrange@redhat.com> - 0.300.2-8.el5
- Hide libvirt errors from console (rhbz #439850)

* Tue Mar 18 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-7.el5
- Fix file check to allow installing rawhide/f9 guests (rhbz #437595)

* Fri Mar 7 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-6.el5
- Add --force option to cli utils to not prompt for input.
- Remove check for file existence in cli utils, breaks scripts.
- (rhbz #434786)

* Mon Feb 25 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-5.el5
- Bring satellite distro patch up to speed with current internal API
- (rhbz #433831)

* Tue Feb 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.300.2-4.el5
- Re-add --noreboot option accidentally lost (rhbz #433491)

* Tue Feb 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.300.2-3.el5
- Fix ACPI default value to be enabled (rhbz #432845)

* Mon Feb 4 2008 Cole Robinson <crobinso@redhat.com> - 0.300.2-2.el5
- Fix virt-clone disk validation from breaking all use of the tool.
- (rhbz #431436)

* Tue Jan 15 2008 Daniel P. Berrange <berrange@redhat.com> - 0.300.2-1.el5
- Update to 0.300.2 release (rhbz #428161)

* Fri Jan 4 2008 Cole Robinson <crobinso@redhat.com> - 0.103.0-6.el5
- Validation and error message fixes across the board.
- (rhbz #201948 #249424 #372001 #221542)

* Fri Dec 7 2007 Cole Robinson <crobinso@redhat.com> - 0.103.0-5.el5
- Fix installing from a tree provided by a satellite server (bz #367051)

* Wed Nov 28 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-4.el5
- Fix install of F8 distros (rhbz #384791)

* Fri Aug 3 2007 Hugh O. Brock <hbrock@redhat.com> - 0.103.0-3.el5
- Patch to have virtinst set up the guest without auto-reboot. Useful 
- for testing. Thanks to Jeff Burke (bz #249708)

* Thu Jul 19 2007 Hugh O. Brock <hbrock@redhat.com> - 0.103.0-2.el5
- Patch so that apic/acpi settings actually work (bz #248487)

* Tue May  1 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-1.el5
- Update to 0.103.0 upstream release (bz #243465)

* Wed Jan 24 2007 Daniel Berrange <berrange@redhat.com> - 0.99.0-2.el5
- use dd with o_direct to create non-sparse files (bz #223491)

* Fri Dec 15 2006 Jeremy Katz <katzj@redhat.com> - 0.99.0-1.el5
- support upstream pvfb config syntax (danpb, #219195)
- don't traceback on invalid memory param (gcosta, #219270)
- let the console come back quicker to help with HVM installs (#212024)

* Thu Nov 30 2006 Jeremy Katz <katzj@redhat.com> - 0.98.0-1.el5
- add support for creating nonsparse disk images (#217764)

* Mon Nov 20 2006 Jeremy Katz <katzj@redhat.com> - 0.97.0-1
- handle multiple nics with virt-install (#215726)

* Thu Nov 16 2006 Daniel P. Berrange <berrange@redhat.com> - 0.96.0-3
- Autodetect primary bridge device when creating guests (bz 207210, 201626)

* Tue Oct 24 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-2
- remove compat symlinks as apps have been changed

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-1
- improve check for if a machine is hvm capable to catch when support isn't
  allowed by the bios (#211276)
- cleanup after nfs mount failure on pv install (#206196)
- support for setting vcpus (#210516)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 0.95.0-1
- support for blktap (danpb)
- name change

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 0.94.0-1
- Fix using block device as backing (#209138)
- Fix error handling for invalid install locations (danpb)
- Write out vcpu config (danpb)

* Wed Sep 20 2006 Jeremy Katz <katzj@redhat.com> - 0.93.0-1
- Fix hvm network xm config (danpb)
- Enable PAE with pae hvm hosts (danpb)
- Fix hvm block backed cds (danpb)
- Fix handling of block devs backed by vbds (danpb)
- Ensure we're on a xen kernel (#205889)
- Default to vncunused

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-2
- add patch to fix memory parsing in interactive mode
- fix deps

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-1
- Fix silly loop when asking about graphics support (misa)
- Fix passing macaddr
- Add support so that we reboot into the guest after installation finishes 

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 0.91.0-1
- add support for paravirt guests with framebuffer. 

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 0.90.1-1
- fix tab/space whitespace inconsistency

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-2
- set ExcludeArch so that it doesn't get pulled into all trees

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-1
- update to version with fixed HVM domain creation

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.9-2
- add some missing requires

* Tue Aug 15 2006 Jeremy Katz <katzj@redhat.com> - 0.9-1
- Initial build

